Package org.bukkit.enchantments

# Enum Class EnchantmentTarget

java.lang.Object
java.lang.Enum<EnchantmentTarget>
org.bukkit.enchantments.EnchantmentTarget

All Implemented Interfaces:
  `Serializable`, `Comparable<EnchantmentTarget>`, `Constable`

public enum EnchantmentTarget extends Enum<EnchantmentTarget>
Represents the applicable target for a `Enchantment`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
Deprecated.
this target no longer exists in Vanilla
`ARMOR`
Allows the Enchantment to be placed on armor
`ARMOR_FEET`
Allows the Enchantment to be placed on feet slot armor
`ARMOR_HEAD`
Allows the Enchantment to be placed on head slot armor
`ARMOR_LEGS`
Allows the Enchantment to be placed on leg slot armor
`ARMOR_TORSO`
Allows the Enchantment to be placed on torso slot armor
`BOW`
Allows the Enchantment to be placed on bows.
`BREAKABLE`
Allows the enchantment to be placed on items with durability.
`CROSSBOW`
Allow the Enchantment to be placed on crossbows.
`FISHING_ROD`
Allows the Enchantment to be placed on fishing rods.
`TOOL`
Allows the Enchantment to be placed on tools (spades, pickaxe, axes)
`TRIDENT`
Allow the Enchantment to be placed on tridents.
`VANISHABLE`
Allow the Enchantment to be placed on vanishing items.
`WEAPON`
Allows the Enchantment to be placed on weapons (swords)
`WEARABLE`
Allows the enchantment to be placed on wearable items.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`includes(@NotNull ItemStack item)`
Check whether this target includes the specified item.
`abstract boolean`
`includes(@NotNull Material item)`
Check whether this target includes the specified item.
`static EnchantmentTarget`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnchantmentTarget[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

@Deprecated public static final EnchantmentTarget ALL
Deprecated.
this target no longer exists in Vanilla
Allows the Enchantment to be placed on all items

### ARMOR

public static final EnchantmentTarget ARMOR
Allows the Enchantment to be placed on armor

### ARMOR_FEET

public static final EnchantmentTarget ARMOR_FEET
Allows the Enchantment to be placed on feet slot armor

### ARMOR_LEGS

public static final EnchantmentTarget ARMOR_LEGS
Allows the Enchantment to be placed on leg slot armor

### ARMOR_TORSO

public static final EnchantmentTarget ARMOR_TORSO
Allows the Enchantment to be placed on torso slot armor

### ARMOR_HEAD

public static final EnchantmentTarget ARMOR_HEAD
Allows the Enchantment to be placed on head slot armor

### WEAPON

public static final EnchantmentTarget WEAPON
Allows the Enchantment to be placed on weapons (swords)

### TOOL

public static final EnchantmentTarget TOOL
Allows the Enchantment to be placed on tools (spades, pickaxe, axes)

### BOW

public static final EnchantmentTarget BOW
Allows the Enchantment to be placed on bows.

### FISHING_ROD

public static final EnchantmentTarget FISHING_ROD
Allows the Enchantment to be placed on fishing rods.

### BREAKABLE

public static final EnchantmentTarget BREAKABLE
Allows the enchantment to be placed on items with durability.

### WEARABLE

public static final EnchantmentTarget WEARABLE
Allows the enchantment to be placed on wearable items.

### TRIDENT

public static final EnchantmentTarget TRIDENT
Allow the Enchantment to be placed on tridents.

### CROSSBOW

public static final EnchantmentTarget CROSSBOW
Allow the Enchantment to be placed on crossbows.

### VANISHABLE

public static final EnchantmentTarget VANISHABLE
Allow the Enchantment to be placed on vanishing items.

## Method Details

### values

public static EnchantmentTarget[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EnchantmentTarget valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### includes

public abstract boolean includes(@NotNull @NotNull Material item)
Check whether this target includes the specified item.

Parameters:
  `item` - The item to check
Returns:
  True if the target includes the item

### includes

public boolean includes(@NotNull @NotNull ItemStack item)
Check whether this target includes the specified item.

Parameters:
  `item` - The item to check
Returns:
  True if the target includes the item